| HtmlToTextTest::testHeaderSeparation |
function |
core/modules/system/tests/src/Unit/Mail/HtmlToTextTest.php |
Tests that headers are properly separated from surrounding text. |
| HtmlToTextTest::testRemoveTrailingWhitespace |
function |
core/modules/system/tests/src/Unit/Mail/HtmlToTextTest.php |
Tests that trailing whitespace is removed before newlines. |
| HtmlToTextTest::testTags |
function |
core/modules/system/tests/src/Unit/Mail/HtmlToTextTest.php |
Tests supported tags of \Drupal\Core\Mail\MailFormatHelper::htmlToText(). |
| HtmlToTextTest::testUsenetSignature |
function |
core/modules/system/tests/src/Unit/Mail/HtmlToTextTest.php |
Tests that trailing whitespace from Usenet style signatures is not removed. |
| HtmlToTextTest::testVeryLongLineWrap |
function |
core/modules/system/tests/src/Unit/Mail/HtmlToTextTest.php |
Tests \Drupal\Core\Mail\MailFormatHelper::htmlToText() wrapping. |
| Htmx::createStringAttribute |
function |
core/lib/Drupal/Core/Htmx/Htmx.php |
Utility method to create and store a string value as an attribute. |
| HtmxAssetLoadTestSetup |
class |
core/tests/Drupal/TestSite/HtmxAssetLoadTestSetup.php |
Setup file used by core/tests/Drupal/Nightwatch/Tests/htmx/htmxTest.js. |
| HtmxAssetLoadTestSetup.php |
file |
core/tests/Drupal/TestSite/HtmxAssetLoadTestSetup.php |
|
| HtmxAssetLoadTestSetup::setup |
function |
core/tests/Drupal/TestSite/HtmxAssetLoadTestSetup.php |
Run the code to setup the test environment. |
| HtmxAttributesTest |
class |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test all attribute-related Htmx public methods. |
| HtmxAttributesTest.php |
file |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
|
| HtmxAttributesTest::$htmx |
property |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Class under test. |
| HtmxAttributesTest::$url |
property |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Mocked Url object. |
| HtmxAttributesTest::apply |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Applies the Htmx attributes to a render array. |
| HtmxAttributesTest::booleanStringDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxPushUrl and self::testHxReplaceUrl. |
| HtmxAttributesTest::boostStringDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxBoost. |
| HtmxAttributesTest::hxOnDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxOn. |
| HtmxAttributesTest::hxSimpleStringAttributesDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxSimpleStringAttributes. |
| HtmxAttributesTest::hxSwapOobDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxSwapOob. |
| HtmxAttributesTest::hxValidateDataProvider |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Provides data to self::testHxValidate. |
| HtmxAttributesTest::setUp |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
|
| HtmxAttributesTest::testHxBoost |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test boost method. |
| HtmxAttributesTest::testHxConfig |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test config method. |
| HtmxAttributesTest::testHxDisable |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test disable method. |
| HtmxAttributesTest::testHxHeaders |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test headers method. |
| HtmxAttributesTest::testHxOn |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test on method. |
| HtmxAttributesTest::testHxPushUrl |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test pushUrl method. |
| HtmxAttributesTest::testHxPushUrlAbsolute |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test pushUrl method with a Url object. |
| HtmxAttributesTest::testHxReplaceUrl |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test replaceUrl method. |
| HtmxAttributesTest::testHxReplaceUrlAbsolute |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test replaceUrl method with a Url object. |
| HtmxAttributesTest::testHxSimpleAttributes |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test remaining methods. |
| HtmxAttributesTest::testHxSwapOob |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test swapOob method. |
| HtmxAttributesTest::testHxValidate |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test validate method. |
| HtmxAttributesTest::testHxVals |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test vals method. |
| HtmxAttributesTest::testInvalidMethod |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
|
| HtmxAttributesTest::testModifiers |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Tests modifiers. |
| HtmxAttributesTest::testStatus |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test status method. |
| HtmxAttributesTest::testSwap |
function |
core/tests/Drupal/Tests/Core/Htmx/HtmxAttributesTest.php |
Test swap method. |
| HtmxDynamicFormTest |
class |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Tests that dynamic forms powered by HTMX work as expected. |
| HtmxDynamicFormTest.php |
file |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
|
| HtmxDynamicFormTest::$defaultTheme |
property |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
The theme to install as the default for testing. |
| HtmxDynamicFormTest::$modules |
property |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Modules to install. |
| HtmxDynamicFormTest::testHtmxForm |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Tests HTMX form functionality. |
| HtmxDynamicFormTest::testMissingPartialTarget |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Verify that response with two partials: one bad, one good. |
| HtmxDynamicFormTest::testMissingSwapTarget |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Verify that a bad swap target selector does not cause an error. |
| HtmxDynamicFormTest::testPartialDelete |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Verify that an hx-partial response with a delete swap removes the target. |
| HtmxDynamicFormTest::testPartialTarget |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Verify that an hx-partial response replaces the target. |
| HtmxDynamicFormTest::testWrapperFormat |
function |
core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php |
Verify that the _wrapper_format query parameter is set by htmx-assets.js. |
| HtmxHeadersTest |
class |
core/tests/Drupal/Tests/Core/Htmx/HtmxHeadersTest.php |
Test all header-related Htmx public methods. |
| HtmxHeadersTest.php |
file |
core/tests/Drupal/Tests/Core/Htmx/HtmxHeadersTest.php |
|